export const bitfield = {
  name: 'RF I2C Table',
  description: 'RF I2C Table for the Jungfrau RF receiver.',
  nrOfRegisters: 3,
  bitsPerRegister: 8,
  modes: [
    'GPS only',
    'Multi-GNSS'
  ]
  registers: {
    0: 'iic_lna_ctrl_reg',
    1: 'iic_mxr_ctrl_a_reg',
    2: 'iic_mxr_ctrl_b_reg',
    3: 'iic_mxr_seltf_reg'
  }
}

export const settings = [
{
  name: 'lna_trim',
  description: 'LNA trimming',
  nrOfBits: 3,
  bitMap: [3, 2, 1],
  comment: '',
  values: {
    func: (value) => Math.pow(2, value)
  }
  resetValue: 0,
  defaultValues: [
    0,
    0
  ]
}, {
  name: 'lna_en',
  description: 'LNA bias enable',
  nrOfBits: 1,
  bitMap: [4],
  comment: '',
  values: {
    func: (value) => Math.pow(2, value)
  }
  resetValue: 0,
  defaultValues: [
    1,
    1
  ]
}, {
  name: 'lna_trim',
  description: 'LNA trimming',
  nrOfBits: 3,
  bitMap: [3, 2, 1],
  comment: '',
  values: {
    func: (value) => `${}uA`
  }
  resetValue: 0,
  defaultValues: [
    0,
    0
  ]
}
